<?php
//++
include("cls_conexion.php");$CNN=new ClsMySQL();include("conexion23.php");
$ER=0;
$s="SELECT * FROM ventas WHERE ven_cob_kod>0 AND anu='N' AND ven_cob_modo='VPC' ORDER BY id_venta";
$rs=grs($s);
while($r=$rs->fetch_assoc()){
	$VEN_REF_COM=$r['ven_id_com'];
	$VEN_REF_KOD=$r['ven_id_ven'];
	$VEN_TOT=$r['tot'];
	$VEN_KOD=$r['id_venta'];
	$COB_KOD=$r['ven_cob_kod'];
	//++++
	if($VEN_REF_COM!=-3){
		echo "REFERENCIA NO VALIDA<br>";
	}else{
		//
		$VEN_COT_SER=gn("iser","cotizaciones","id_cotizacion=$VEN_REF_KOD");
		$VEN_COT_NUM=gn("inum","cotizaciones","id_cotizacion=$VEN_REF_KOD");
		$VEN_COT_TOT=gn("inum","cotizaciones","id_cotizacion=$VEN_REF_KOD");
		//
		$CX=gn("count(*)","cobroz_ventas","cv_id_ven=$VEN_KOD AND cv_id_cob=$COB_KOD AND cv_cob_anu<>'SI'");
		if($CX==0){
			echo "NADA : V : ".$VEN_KOD." C: ".$COB_KOD." <br><br><br>";
			$s="UPDATE ventas SET ven_cob_obs='VERIFICAR' WHERE id_venta=$VEN_KOD";
			ejt($s);
			$s="UPDATE cobroz_ventas SET cv_obs='VERIFICAR' WHERE cv_id_ven=$VEN_KOD AND cv_id_cob=$COB_KOD AND cv_cob_anu<>'SI'";
			ejt($s);
		}else{
			$KX=gn("count(*)","cobroz","id_cobro=$COB_KOD AND cob_id_com=-3 AND cob_icser=$VEN_COT_SER AND cob_icnum=$VEN_COT_NUM");
			if($KX>0){
				$COB_MODALIDAD=gs("cob_id_tdp","cobroz","id_cobro=$COB_KOD");
				$s="UPDATE ventas SET ven_cob_moda='$COB_MODALIDAD' WHERE id_venta=$VEN_KOD";
				ejt($s);
				//echo "OK* ".$s."<br>";///
			}else{
				echo "COTIZACION c/COBRO = ".$COB_KOD." VID = ".$VEN_KOD."<br>";
				//$COB_KOD
				$COT_KOD=$COB_KOD;
				$COT_CAN=gn("count(*)","cotizaciones","id_cotizacion=$COT_KOD");
				if($COT_CAN==0){
					echo "INCOHERENCIA COTIZACION NO EXISTE $COT_KOD<br>";
				}else{
					$COT_SER=gn("iser","cotizaciones","id_cotizacion=$COT_KOD");
					$COT_NUM=gn("inum","cotizaciones","id_cotizacion=$COT_KOD");
					//
					echo "COTIZACION : ".$COT_SER." - ".$COT_NUM."<br>";
					//
					if($VEN_COT_SER==$COT_SER && $VEN_COT_NUM==$COT_NUM){
						$WHE="cob_id_com=-3 AND cob_icser=$COT_SER AND cob_icnum=$COT_NUM AND cob_anu='NO'";
						$COB_CAN=gn("count(*)","cobroz",$WHE);
						if($COB_CAN==0){
							echo "ERROR FATAL<br>";
							echo $WHE."<br><br>";
						}else{
							if($COB_CAN==1){
								$COBRO_SOL=gn("id_cobro","cobroz",$WHE);
								echo "TIENE SOLUCION COBRO : $COBRO_SOL <br><br><br>";
								//
								$COB_MODALIDAD=gs("cob_id_tdp","cobroz","id_cobro=$COB_KOD");
								//
								$s="UPDATE ventas 
									SET ven_cob_kod=$COBRO_SOL,
										ven_cob_obs='CALCULADO',ven_cob_obs_aux='$COB_KOD',ven_cob_moda='$COB_MODALIDAD' 
									WHERE id_venta=$VEN_KOD";
								ejt($s);
								//
								$s="UPDATE cobroz_ventas 
									SET cv_id_cob=$COBRO_SOL,cv_obs='CALCULADO',cv_obs_aux='$COB_KOD'
									WHERE cv_id_ven=$VEN_KOD AND cv_id_cob=$COB_KOD AND cv_cob_anu<>'SI'";
								ejt($s);
								//
							}else{
								//AQUI OBTNER EL ULTIMO COBRO ASOCIADO
								echo "REPARAR<br><br><br>";
								//
								$s="UPDATE ventas 
									SET ven_cob_kod=$COBRO_SOL,
										ven_cob_obs='REPARAR'
									WHERE id_venta=$VEN_KOD";
								ejt($s);
								//
								$s="UPDATE cobroz_ventas 
									SET cv_obs='REPARAR'
									WHERE cv_id_ven=$VEN_KOD AND cv_id_cob=$COB_KOD AND cv_cob_anu<>'SI'";
								ejt($s);
								//
							}
						}
					}else{
						echo "ERROR FINAL<br><br><br>";
					}
				}
			}
			$ER++;
		}
	}
}
echo "ER:".$ER."<br>";
echo "ADIOS GB<br>";
?>